Обновить php-fpm

Тема в разделе "Linux", создана пользователем HooLIGUN, 3 авг 2016.

  1. HooLIGUN

    HooLIGUN MixGamer

    Сообщения:
    801
    Симпатии:
    172
    Здравствуйте.
    Подскажите, кто шарит , есть вдс deb7 с isp mgr5 , там установлена связка
    PHP-FPM 5.4.45-0+deb7u4 , nginx 1.10.1-1~wheezy
    Так вот, нужно обновить версию php хотя бы до 5.5 или 5.6
    Как это безопасно сделать, без потери конфигов (ну или с минимальными потерями) ?
    Может что то в репрезиторий добавить, чтоб isp сам нашел и установил обновление?
    Гугл юзал, путевого для себя ничего не нашел..
     
  2. ykpon

    ykpon Владыка

    Сообщения:
    388
    Симпатии:
    100
    В ISPManager же есть php селектор, нет?
     
  3. HooLIGUN

    HooLIGUN MixGamer

    Сообщения:
    801
    Симпатии:
    172
    Он работает при Apache + php-fpm , при nginx + php-fpm его нет
     
  4. ykpon

    ykpon Владыка

    Сообщения:
    388
    Симпатии:
    100
    Как вариант, отдельно собрать еще один php-fpm сервер и пых.
     
  5. HooLIGUN

    HooLIGUN MixGamer

    Сообщения:
    801
    Симпатии:
    172
    Отдельно php на текущей связке обновить не получится?
     
  6. ykpon

    ykpon Владыка

    Сообщения:
    388
    Симпатии:
    100
    Вообще, скачай сорцы нужной версии php, собери с php-fpm и посмотри в директории, куда ты его компилил, наличие бинарника для запуска php-fpm этой версии пыха.
    Аналогично делается для обновления php уже установленной версии.